summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarek Szuba <marecki@gentoo.org>2017-03-06 10:21:33 +0100
committerMarek Szuba <marecki@gentoo.org>2017-04-26 14:36:32 +0200
commitcb16b4d13af95c6a553afffa02a2b5344b70d399 (patch)
treedf3396b77098f37f5d48e947f9b3d1cd3f105584 /net-analyzer/nessus-agent-bin/files
parentnet-analyzer/nessus-bin: version bump to 6.10.5 (diff)
downloadgentoo-cb16b4d13af95c6a553afffa02a2b5344b70d399.tar.gz
gentoo-cb16b4d13af95c6a553afffa02a2b5344b70d399.tar.bz2
gentoo-cb16b4d13af95c6a553afffa02a2b5344b70d399.zip
net-analyzer/nessus-agent-bin: new package
Gentoo-Bug: 611864 Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'net-analyzer/nessus-agent-bin/files')
-rw-r--r--net-analyzer/nessus-agent-bin/files/nessusagent.initd21
1 files changed, 21 insertions, 0 deletions
diff --git a/net-analyzer/nessus-agent-bin/files/nessusagent.initd b/net-analyzer/nessus-agent-bin/files/nessusagent.initd
new file mode 100644
index 000000000000..6f43fc421e1b
--- /dev/null
+++ b/net-analyzer/nessus-agent-bin/files/nessusagent.initd
@@ -0,0 +1,21 @@
+#!/sbin/openrc-run
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+start() {
+ ebegin "Starting nessusagent"
+ start-stop-daemon --start --quiet --exec /opt/nessus_agent/sbin/nessus-service -- -D --quiet
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping nessusagent"
+ start-stop-daemon --stop --quiet --exec /opt/nessus_agent/sbin/nessus-service
+ einfo "Waiting for the environment to be sane"
+ while [ -n "$RUNNING" ] ; do
+ sleep 1
+ RUNNING=$(ps aux | grep -m 1 nessusd: | grep -v grep)
+ done
+ sleep 3
+ eend $?
+}